curl --request GET \
--url https://points.mellow.finance/v1/defi/users/{user_address}import requests
url = "https://points.mellow.finance/v1/defi/users/{user_address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://points.mellow.finance/v1/defi/users/{user_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://points.mellow.finance/v1/defi/users/{user_address}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://points.mellow.finance/v1/defi/users/{user_address}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://points.mellow.finance/v1/defi/users/{user_address}")
.asString();require 'uri'
require 'net/http'
url = URI("https://points.mellow.finance/v1/defi/users/{user_address}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"chain_id": 1,
"vault_address": "0x4f3Cc6359364004b245ad5bE36E6ad4e805dC961",
"defi_protocol_address": "0x104b3E3ACD2396a7292223B5778Ea1caCdB68ec9",
"user_mellow_points": "94678.511",
"user_symbiotic_points": "92911.0138859653",
"user_referal_points": "0.0",
"user_vault_balance": "0",
"timestamp": 1737403835,
"name": "urLRT / wstETH",
"protocol": "Uniswap v3",
"pool_id": "pool-uniswap-urlrt-wsteth",
"url": "https://app.uniswap.org/explore/pools/ethereum/0x104b3E3ACD2396a7292223B5778Ea1caCdB68ec9",
"boost": "3"
}
]Internal server errorGet user's vaults DeFi positions
Retrieves detailed information about a user’s positions across all integrated DeFi protocols, including points earned, balances, and protocol-specific details.
curl --request GET \
--url https://points.mellow.finance/v1/defi/users/{user_address}import requests
url = "https://points.mellow.finance/v1/defi/users/{user_address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://points.mellow.finance/v1/defi/users/{user_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://points.mellow.finance/v1/defi/users/{user_address}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://points.mellow.finance/v1/defi/users/{user_address}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://points.mellow.finance/v1/defi/users/{user_address}")
.asString();require 'uri'
require 'net/http'
url = URI("https://points.mellow.finance/v1/defi/users/{user_address}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"chain_id": 1,
"vault_address": "0x4f3Cc6359364004b245ad5bE36E6ad4e805dC961",
"defi_protocol_address": "0x104b3E3ACD2396a7292223B5778Ea1caCdB68ec9",
"user_mellow_points": "94678.511",
"user_symbiotic_points": "92911.0138859653",
"user_referal_points": "0.0",
"user_vault_balance": "0",
"timestamp": 1737403835,
"name": "urLRT / wstETH",
"protocol": "Uniswap v3",
"pool_id": "pool-uniswap-urlrt-wsteth",
"url": "https://app.uniswap.org/explore/pools/ethereum/0x104b3E3ACD2396a7292223B5778Ea1caCdB68ec9",
"boost": "3"
}
]Internal server errorPath Parameters
Ethereum address of the user (must be a valid Ethereum address)
^0x[a-fA-F0-9]{40}$Response
Successful response containing user's positions in DeFi protocols
The blockchain network ID where the protocol is integrated
The address of the vault contract
The address of the DeFi protocol contract
Points earned in the Mellow protocol
Points earned in the Symbiotic protocol
Points earned through referrals
User's balance in the vault in smallest units
Unix timestamp of when the data was last updated
Name of the protocol integration
Protocol identifier (e.g., Uniswap v3, Pendle, Gearbox)
Unique identifier for the liquidity pool
URL to the protocol's interface for this position
Boost multiplier for points earning
[
{
"chain_id": 1,
"vault_address": "0x4f3Cc6359364004b245ad5bE36E6ad4e805dC961",
"defi_protocol_address": "0x104b3E3ACD2396a7292223B5778Ea1caCdB68ec9",
"user_mellow_points": "94678.511",
"user_symbiotic_points": "92911.0138859653",
"user_referal_points": "0.0",
"user_vault_balance": "0",
"timestamp": 1737403835,
"name": "urLRT / wstETH",
"protocol": "Uniswap v3",
"pool_id": "pool-uniswap-urlrt-wsteth",
"url": "https://app.uniswap.org/explore/pools/ethereum/0x104b3E3ACD2396a7292223B5778Ea1caCdB68ec9",
"boost": "3"
}
]